Package wx :: Package lib :: Package agw :: Module artmanager :: Class RendererXP

[frames | no frames]

## Class RendererXP

    RendererBase --+
                   |
                  RendererXP

Xp-Style renderer.

Method Summary
| `__init__(self)`
| ``DrawButton`(self, dc, rect, state, input)` Colors rectangle according to the XP theme.
| ``DrawButtonColour`(self, dc, rect, state, color)` Colors rectangle according to the XP theme.
| ``DrawButtonTheme`(self, dc, rect, state, useLightColours)` Colors rectangle according to the XP theme.
| ``DrawMenuBarBg`(self, dc, rect)` Draws the menu bar background according to the active theme.
| ``DrawToolBarBg`(self, dc, rect)` Draws the toolbar background according to the active theme.
| ``GetTextColourEnable`(self)` Returns the colour used for text colour when enabled.

Method Details

### DrawButton(self, dc, rect, state, input=None)

Colors rectangle according to the XP theme.

### DrawButtonColour(self, dc, rect, state, color)

Colors rectangle according to the XP theme.

### DrawButtonTheme(self, dc, rect, state, useLightColours=None)

Colors rectangle according to the XP theme.

### DrawMenuBarBg(self, dc, rect)

Draws the menu bar background according to the active theme.

### DrawToolBarBg(self, dc, rect)

Draws the toolbar background according to the active theme.

### GetTextColourEnable(self)

Returns the colour used for text colour when enabled.

  Overrides:
    `wx.lib.agw.artmanager.RendererBase.GetTextColourEnable`

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:49 2009 | http://epydoc.sf.net